<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="ChemSpiderMassSpecAPI._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Demo Application For ChemSpider OpenBabel WebService</title>
    <style>
        .title
        {
	        border: outset 1px;
	        background-color: gainsboro;
	        font-weight: bold;
	        cursor: default;
	        padding: 2px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <center>
        <table>
			<tr>
				<td>
					<fieldset>
						<table width="100%">
							<tr>
								<td class="title" align="left" colspan="2">Search ChemSpider compounds by molecular formula.</td>
							</tr>
							<tr>
								<td align="left">
									<asp:TextBox ID="searchByFormula2Text" runat="server" Width="300px"></asp:TextBox>
								</td>
								<td align="right">
									<asp:Button ID="searchByFormula2Button" runat="server" Text="Search" OnClick="searchByFormula2Button_Click" />
								</td>
							</tr>
						</table>
					</fieldset>
				</td>
			</tr>
			<tr>
				<td>
					<fieldset>
						<table width="100%">
							<tr>
								<td class="title" align="left" colspan="2">Search ChemSpider compounds by mass +/- range.</td>
							</tr>
							<tr>
								<td align="right" class="title">
									Mass:
								</td>
								<td align="left">
									<asp:TextBox ID="searchByMass2Text" runat="server" Width="250px"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td align="right" class="title">
									Range:
								</td>
								<td align="left">
									<asp:TextBox ID="searchByRange2Text" runat="server" Width="250px"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td align="right" colspan="2">
									<asp:Button ID="searchByMass2Button" runat="server" Text="Search" OnClick="searchByMass2Button_Click" />
								</td>
							</tr>
						</table>
					</fieldset>
				</td>
			</tr>
			<tr>
				<td>
					<fieldset>
						<legend>Search within specified datasources (if given)
						</legend>
						<table>
							<tr>
								<td class="title" align="left">Avaivable datasources</td>
							</tr>
							<tr>
								<td align="left">
									<div style="position:fixed; overflow:auto; width:auto; height: 200px;">
										<asp:CheckBoxList ID="searchDatabases" runat="server"></asp:CheckBoxList>
									</div>
								</td>
							</tr>
							<tr>
								<td>
									<fieldset>
									<table>
										<tr>
											<td class="title" align="left" colspan="2">Search ChemSpider compounds by molecular formula.</td>
										</tr>
										<tr>
											<td align="left">
												<asp:TextBox ID="searchByFormulaText" runat="server" Width="300px"></asp:TextBox>
											</td>
											<td align="right">
												<asp:Button ID="searchByFormulaButton" runat="server" Text="Search" OnClick="searchByFormulaButton_Click" />
											</td>
										</tr>
									</table>
									</fieldset>
								</td>
							</tr>
							<tr>
								<td>
									<fieldset>
										<table width="100%">
											<tr>
												<td class="title" align="left" colspan="2">Search ChemSpider compounds by mass +/- range.</td>
											</tr>
											<tr>
												<td align="right" class="title">
													Mass:
												</td>
												<td align="left">
													<asp:TextBox ID="searchByMassText" runat="server" Width="250px"></asp:TextBox>
												</td>
											</tr>
											<tr>
												<td align="right" class="title">
													Range:
												</td>
												<td align="left">
													<asp:TextBox ID="searchByRangeText" runat="server" Width="250px"></asp:TextBox>
												</td>
											</tr>
											<tr>
												<td align="right" colspan="2">
													<asp:Button ID="searchByMassButton" runat="server" Text="Search" OnClick="searchByMassButton_Click" />
												</td>
											</tr>
										</table>
									</fieldset>
								</td>
							</tr>
						</table>
					</fieldset>
				</td>
			</tr>
        </table>
        <hr />
        <asp:Label ID="errorMessage" runat="server" Font-Bold="true" ForeColor="red" Visible="false" EnableViewState="false"></asp:Label>
        <asp:Label ID="searchResult" runat="server" Font-Bold="true" Visible="false" EnableViewState="false"></asp:Label>
        <table id="resultTable" runat="server" visible="false" border="1" cellspacing="0" enableviewstate="false">
            <tr>
                <td class="title">ChemSpider&nbsp;ID</td>
                <td class="title">Formula</td>
                <td class="title">SMILES</td>
                <td class="title">InChI</td>
                <td class="title">InChIKey</td>
                <td class="title">Average&nbsp;Mass</td>
                <td class="title">MW</td>
                <td class="title">Monoisotopic&nbsp;Mass</td>
                <td class="title">Nominal&nbsp;Mass</td>
                <td class="title">ALogP</td>
                <td class="title">XLogP</td>
                <td class="title">Common&nbsp;Name</td>
			</tr>
        </table>
        
        </center>
    </div>
    </form>
</body>
</html>
